<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme and one
 * of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query,
 * e.g., it puts together the home page when no home.php file exists.
 *
 * @link http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage Honos
 * @since Honos 1.0
 */

get_header();

global $honos_site_width;
?>

<div id="main-content" class="main-content">
	<?php if ( is_home() ) { ?>
		<h1 class="main-page-title"><?php esc_html_e('Blog', 'honos'); ?></h1>
	<?php } ?>
	<div class="content-wrapper">
		<?php
			if ( have_posts() ) :
				// Start the Loop.
				while ( have_posts() ) : the_post();

					/*
					 * Include the post format-specific template for the content. If you want to
					 * use this in a child theme, then include a file called called content-___.php
					 * (where ___ is the post format) and that will be used instead.
					 */
					get_template_part( 'content', get_post_format() );

				endwhile;
			else :
				// If no content, include the "No posts found" template.
				get_template_part( 'content', 'none' );

			endif;
		?>
	</div><!-- .content-wrapper -->
	<?php the_posts_pagination( array( 'next_text' => '>', 'prev_text' => '<' ) ); ?>
</div><!-- #main-content -->

<?php
get_footer();